# Configuration

/// admonition | Work in progress
    type: warning
This page is still a work in progress.
///

## aurora

- Usage: `[p]aurora`
- Aliases: `moderation and mod`

Settings and miscellaneous commands for Aurora.

### aurora import

- Usage: `[p]aurora import`
- Restricted to: `ADMIN`
- Checks: `server_only`

Import moderation history from other bots.

#### aurora import aurora

- Usage: `[p]aurora import aurora`
- Restricted to: `ADMIN`

Import moderation history from another bot using Aurora.

#### aurora import galacticbot

- Usage: `[p]aurora import galacticbot`
- Restricted to: `ADMIN`

Import moderation history from GalacticBot.

### aurora settings

- Usage: `[p]aurora settings`
- Aliases: `config, options, and set`

Configure Aurora's settings.

#### aurora settings server

- Usage: `[p]aurora settings server`
- Restricted to: `ADMIN`
- Aliases: `server`
- Checks: `server_only`

Manage Aurora's server settings.

#### aurora settings overrides

- Usage: `[p]aurora settings overrides`
- Aliases: `override and user`

Manage Aurora's user overriddable settings.

#### aurora settings addrole

- Usage: `[p]aurora settings addrole`
- Restricted to: `ADMIN`
- Aliases: `removerole`
- Checks: `server_only`

Manage the addrole whitelist.  
Roles added to this list are also applied to `/removerole`.

#### aurora settings immunity

- Usage: `[p]aurora settings immunity`
- Restricted to: `ADMIN`
- Checks: `server_only`

Manage the immunity whitelist.

### aurora timedelta

- Usage: `[p]aurora timedelta <duration>`
- Aliases: `tdc, td, and timedeltaconvert`

This command converts a duration to a [`timedelta`](https://docs.python.org/3/library/datetime.html#datetime.timedelta) Python object.You cannot convert years or months as they are not fixed units. Use `[p]aurora relativedelta` for that.

**Example usage**  
`[p]aurora timedelta 1 day 15hr 82 minutes 52s`

**Output**  
`1 day, 16:22:52`

### aurora relativedelta

- Usage: `[p]aurora relativedelta <duration>`
- Aliases: `rdc, rd, and relativedeltaconvert`

This command converts a duration to a [`relativedelta`](https://dateutil.readthedocs.io/en/stable/relativedelta.html) Python object.

**Example usage**  
`[p]aurora relativedelta 3 years 1 day 15hr 82 minutes 52s`

**Output**  
`relativedelta(years=+3, days=+1, hours=+15, minutes=+82, seconds=+52)`
